Bug 35025 - [Patch] Serious compiler warnings
[Patch] Serious compiler warnings
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/nouveau
git
Other All
: highest blocker
Assigned To: mesa-dev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-04 15:45 UTC by Johannes Obermayr
Modified: 2011-03-18 11:15 UTC (History)
2 users (show)

See Also:


Attachments
Fix serious compiler warnings. (1.06 KB, patch)
2011-03-18 10:32 UTC, Johannes Obermayr
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Obermayr 2011-03-04 15:45:50 UTC
git20110304.1454

E: Mesa 64bit-portability-issue nouveau_texture.c:400, 489
E: Mesa 64bit-portability-issue nouveau_screen.c:254, 257


nouveau_texture.c: In function 'nouveau_teximage':
nouveau_texture.c:400:2: warning: implicit declaration of function '_mesa_validate_pbo_teximage'
nouveau_texture.c:400:9: warning: assignment makes pointer from integer without a cast
nouveau_texture.c:417:3: warning: implicit declaration of function '_mesa_unmap_teximage_pbo'
nouveau_texture.c: In function 'nouveau_texsubimage':
nouveau_texture.c:489:9: warning: assignment makes pointer from integer without a cast


nouveau_mm.c: In function 'mm_slab_new':
nouveau_mm.c:147:17: warning: format '%lu' expects type 'long unsigned int', but argument 2 has type 'uint64_t'
nouveau_screen.c: In function 'nouveau_screen_init':
nouveau_screen.c:254:2: warning: implicit declaration of function 'nouveau_mm_create'
nouveau_screen.c:254:18: warning: assignment makes pointer from integer without a cast
nouveau_screen.c:257:18: warning: assignment makes pointer from integer without a cast
nouveau_screen.c: In function 'nouveau_screen_fini':
nouveau_screen.c:266:2: warning: implicit declaration of function 'nouveau_mm_destroy'
Comment 1 Johannes Obermayr 2011-03-15 12:48:05 UTC
Importance: highest/blocker because it is not possible to build it on openSUSE (see: https://build.opensuse.org/package/live_build_log?arch=i586&package=Mesa&project=home%3Ajobermayr&repository=openSUSE_11.4)
and determinate offenders:

Brian Paul:
Commit: b70610b9823fc7dc3672735c11be1a75fbb1a2a4

Ben Skeggs:
Commit: cd24fcedecfc41d77047fb827a88db528ed292ca
Comment 2 Johannes Obermayr 2011-03-16 09:39:12 UTC
- Assign to mesa-dev
- CC Brian Paul, Ben Skeggs
Comment 3 Johannes Obermayr 2011-03-18 10:32:20 UTC
Created attachment 44588 [details] [review]
Fix serious compiler warnings.

It is a damning indictment of main (mesa) developers that they cannot add two '#includes' within two weeks ...
(A non-developer who (still) does not understand any C/C++ source code [not to mention Mesa's source code] must spend days for doing it.)
Comment 4 Brian Paul 2011-03-18 11:15:55 UTC
I've committed your patch.  Thanks.

BTW, different people are responsible for different parts of Mesa and the various drivers.  Generally, those people take care of the patches/bugs that effect their components.  Just because the nouveau developers may not have been active lately isn't a reason to condemn the project or other developers.  I guess I missed this bug before.